import { MakietyTalii, MakietyKart } from "./../dane/Makiety";

import reduktorTalii from "./talie";
import reduktorPowtorek, { utworzStanPowtorki } from "./powtorki";

const stanPoczatkowy = () => {
  return { talie: MakietyTalii, obecnaPowtorka: utworzStanPowtorki() };
};

export const reduktor = (stan = stanPoczatkowy(), akcja) => {
  let talie = reduktorTalii(stan.talie, akcja);

  return {
    talie: talie,
    obecnaPowtorka: reduktorPowtorek(stan.obecnaPowtorka, akcja, talie)
  };
};
